Help us improve these docs. Take our quick survey.
curl --request POST \
--url https://api.example.com/v1/preview/training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trajectory_groups": [
{
"trajectories": [
{
"messages_and_choices": [],
"tools": [
{
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {},
"strict": true
},
"type": "<string>"
}
],
"additional_histories": [],
"reward": 0,
"initial_policy_version": 123,
"final_policy_version": 123,
"metrics": {},
"metadata": {},
"logs": [],
"start_time": "2023-11-07T05:31:56Z"
}
]
}
],
"experimental_config": {
"advantage_balance": 123,
"epsilon": 123,
"epsilon_high": 123,
"importance_sampling_level": "token",
"kimi_k2_tau": 123,
"learning_rate": 123,
"mask_prob_ratio": true,
"max_negative_advantage_importance_sampling_weight": 123,
"ppo": true,
"precalculate_logprobs": true,
"scale_rewards": true
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Créez une nouvelle tâche d’entraînement RL (apprentissage par renforcement).
curl --request POST \
--url https://api.example.com/v1/preview/training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trajectory_groups": [
{
"trajectories": [
{
"messages_and_choices": [],
"tools": [
{
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {},
"strict": true
},
"type": "<string>"
}
],
"additional_histories": [],
"reward": 0,
"initial_policy_version": 123,
"final_policy_version": 123,
"metrics": {},
"metadata": {},
"logs": [],
"start_time": "2023-11-07T05:31:56Z"
}
]
}
],
"experimental_config": {
"advantage_balance": 123,
"epsilon": 123,
"epsilon_high": 123,
"importance_sampling_level": "token",
"kimi_k2_tau": 123,
"learning_rate": 123,
"mask_prob_ratio": true,
"max_negative_advantage_importance_sampling_weight": 123,
"ppo": true,
"precalculate_logprobs": true,
"scale_rewards": true
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://wb-21fd5541-john-wbdocs-2044-rename-serverless-products.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Réponse réussie
Schéma de la réponse de TrainingJob.
Cette page vous a-t-elle été utile ?